## EvDocumentMisc

EvDocumentMisc

## Functions

GdkPixbuf * | ev_document_misc_get_thumbnail_frame ()
void | ev_document_misc_get_page_border_size ()
void | ev_document_misc_paint_one_page ()
cairo_surface_t * | ev_document_misc_surface_from_pixbuf ()
GdkPixbuf * | ev_document_misc_pixbuf_from_surface ()
cairo_surface_t * | ev_document_misc_surface_rotate_and_scale ()
void | ev_document_misc_invert_surface ()
void | ev_document_misc_invert_pixbuf ()

## Description

## Functions

### ev_document_misc_get_thumbnail_frame ()

    GdkPixbuf *
    ev_document_misc_get_thumbnail_frame (int width,
                                          int height,
                                          GdkPixbuf *source_pixbuf);

### ev_document_misc_get_page_border_size ()

    void
    ev_document_misc_get_page_border_size (gint page_width,
                                           gint page_height,
                                           GtkBorder *border);

### ev_document_misc_paint_one_page ()

    void
    ev_document_misc_paint_one_page (cairo_t *cr,
                                     GtkWidget *widget,
                                     GdkRectangle *area,
                                     GtkBorder *border,
                                     gboolean highlight,
                                     gboolean inverted_colors);

### ev_document_misc_surface_from_pixbuf ()

    cairo_surface_t *
    ev_document_misc_surface_from_pixbuf (GdkPixbuf *pixbuf);

### ev_document_misc_pixbuf_from_surface ()

    GdkPixbuf *
    ev_document_misc_pixbuf_from_surface (cairo_surface_t *surface);

### ev_document_misc_surface_rotate_and_scale ()

    cairo_surface_t *
    ev_document_misc_surface_rotate_and_scale
                                   (cairo_surface_t *surface,
                                    gint dest_width,
                                    gint dest_height,
                                    gint dest_rotation);

### ev_document_misc_invert_surface ()

    void
    ev_document_misc_invert_surface (cairo_surface_t *surface);

### ev_document_misc_invert_pixbuf ()

    void
    ev_document_misc_invert_pixbuf (GdkPixbuf *pixbuf);

## Types and Values